ColumnCollectionAliases (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.custom
Class ColumnCollectionAliases

    java.lang.Object
      org.hibernate.loader.custom.ColumnCollectionAliases

All Implemented Interfaces:
  CollectionAliases

    public class ColumnCollectionAliases

extends Object
implements CollectionAliases

CollectionAliases that uses columnnames instead of generated aliases. Aliases can still be overwritten via

Constructor Summary
`ColumnCollectionAliases(Map userProvidedAliases, SQLLoadableCollection persister)`

Method Summary
`String` | `getSuffix()` Returns the suffix used to unique the column aliases for this particular alias set.
`String[]` | `getSuffixedElementAliases()` Returns the suffixed result-set column-aliases for the columns making up the collection's elements.
`String` | `getSuffixedIdentifierAlias()` Returns the suffixed result-set column-aliases for the column defining the collection's identifier (if any).
`String[]` | `getSuffixedIndexAliases()` Returns the suffixed result-set column-aliases for the collumns making up the collection's index (map or list).
`String[]` | `getSuffixedKeyAliases()` Returns the suffixed result-set column-aliases for columns making up the key for this collection (i.e., its FK to its owner).
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColumnCollectionAliases

    public ColumnCollectionAliases(Map userProvidedAliases,
                                   SQLLoadableCollection persister)

Method Detail

### getSuffixedKeyAliases

    public String[] getSuffixedKeyAliases()

  Returns the suffixed result-set column-aliases for columns making up the key for this collection (i.e., its FK to its owner).

  Specified by:
    `getSuffixedKeyAliases` in interface `CollectionAliases`
  Returns:
    The key result-set column aliases.

### getSuffixedIndexAliases

    public String[] getSuffixedIndexAliases()

  Returns the suffixed result-set column-aliases for the collumns making up the collection's index (map or list).

  Specified by:
    `getSuffixedIndexAliases` in interface `CollectionAliases`
  Returns:
    The index result-set column aliases.

### getSuffixedElementAliases

    public String[] getSuffixedElementAliases()

  Returns the suffixed result-set column-aliases for the columns making up the collection's elements.

  Specified by:
    `getSuffixedElementAliases` in interface `CollectionAliases`
  Returns:
    The element result-set column aliases.

### getSuffixedIdentifierAlias

    public String getSuffixedIdentifierAlias()

  Returns the suffixed result-set column-aliases for the column defining the collection's identifier (if any).

  Specified by:
    `getSuffixedIdentifierAlias` in interface `CollectionAliases`
  Returns:
    The identifier result-set column aliases.

### getSuffix

    public String getSuffix()

  Returns the suffix used to unique the column aliases for this particular alias set.

  Specified by:
    `getSuffix` in interface `CollectionAliases`
  Returns:
    The uniqued column alias suffix.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.